using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Grouping;
using System.Runtime.Serialization;

namespace GGC_Sample1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        
        private void Form1_Load(object sender, EventArgs e)
        {
            MyTable table = new MyTable();
            for (int i = 0; i < 1; i++)
            {
                MyRow a = new MyRow("test" + i.ToString(), "test", new CustomObject(10));
                table.Add(a);
            }

            GridTableDescriptor parentTD = gridGroupingControl1.TableDescriptor;
            gridGroupingControl1.Appearance.AnyCell.ShowButtons = Syncfusion.Windows.Forms.Grid.GridShowButtons.ShowCurrentCell;


            parentTD.Columns.Add(new GridColumnDescriptor("First Name", "FirstName"));
            parentTD.Columns.Add(new GridColumnDescriptor("Last Name", "LastName"));
            parentTD.Columns.Add(new GridColumnDescriptor("Data Object", "DataObject"));

            gridGroupingControl1.TableModel.CellModels.Add("CustomCell", new CustomCellModel(gridGroupingControl1.TableModel));

            gridGroupingControl1.TableDescriptor.Columns["Data Object"].Appearance.AnyRecordFieldCell.CellType = "CustomCell";    
            this.gridGroupingControl1.DataSource = table;

        }

    }
}